﻿/**Begin D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCEPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_ADJ_DRAFT') 
 CREATE TABLE T_TCEPT_COST_ADJ_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUSEPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FBEFORTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_CBHJ') 
 CREATE TABLE T_TCEPT_COST_CBHJ (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTZQHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZQBHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTZZHSJE3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTZZBHSJE4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZHHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZHBHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FCOSTITEMNAME VARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_CBSG') 
 CREATE TABLE T_TCEPT_COST_CBSG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTADTYPE1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTITEM11 BIGINT DEFAULT 0 NOT NULL,
FSGTZZHSJE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTZZBHSJE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENTS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_STXS') 
 CREATE TABLE T_TCEPT_COST_STXS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTADTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLEARTERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FSGTZZHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTZZBHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCO_ADJ_DRAFT') 
 CREATE TABLE T_TCEPT_INCO_ADJ_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUSEPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FTAXGOODVALUE2HJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCSELLTAXGOODVALUEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSINCOMETAXHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSCOSTTOTALHJ DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCO_CSELL') 
 CREATE TABLE T_TCEPT_INCO_CSELL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCLEARTERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLTYPE BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENTS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETS BIGINT DEFAULT 0 NOT NULL,
FTAXGOODVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTAXREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCO_STXS') 
 CREATE TABLE T_TCEPT_INCO_STXS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCLEARTERM1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLTYPE1 BIGINT DEFAULT 0 NOT NULL,
FSETS1 BIGINT DEFAULT 0 NOT NULL,
FAREA1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSINCOMETAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSINCOMENOTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSINCOMEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSCOSTTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSCOSTNOTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSCOSTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTITEMTYPE BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE1 VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCO_ZCYT') 
 CREATE TABLE T_TCEPT_INCO_ZCYT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCLEARTERM2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLTYPE2 BIGINT DEFAULT 0 NOT NULL,
FSETS2 BIGINT DEFAULT 0 NOT NULL,
FAREA2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXGOODVALUE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTAXREVENUE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTYPE2 VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_ALLO_METH_L') 
 CREATE TABLE T_TCEPT_COST_ALLO_METH_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_ALLO_METH') 
 CREATE TABLE T_TCEPT_COST_ALLO_METH (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCEPT_table.sql **/
